Layout1Col (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.layout.Layout1Col class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.layout
Class Layout1Col

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.BaseComponent
                  org.hyperic.ui.tapestry.components.BaseComponent
                      org.hyperic.ui.tapestry.components.BaseLayout
                          org.hyperic.ui.tapestry.components.layout.Layout1Col

All Implemented Interfaces:
  org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IRender, org.apache.tapestry.ITemplateComponent

Direct Known Subclasses:
  Layout2Col

    public abstract class Layout1Col

extends BaseLayout

The single column liquid layout

Field Summary

Fields inherited from class org.hyperic.ui.tapestry.components.BaseLayout
`DOJO_THEME, DOJO_VERSION, LAYOUT_PANEL_CENTER, LAYOUT_PANEL_LEFT, LAYOUT_PANEL_RIGHT`

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`Layout1Col()`

Method Summary
`abstract org.apache.tapestry.IRender` | `getAjaxDelegate()`
`abstract java.lang.String` | `getHelpLink()`
`abstract org.apache.tapestry.IAsset` | `getHQ40Theme()`
`abstract NavigationMenu` | `getNavigationMenu()`
`abstract java.lang.String` | `getPageTitle()`
`java.lang.String` | `getStaticTitle()` Need to build a page title <title> tag in the form of {pagename} - {application name}
`abstract boolean` | `getStatusElement()`
`java.util.List<org.apache.tapestry.IAsset>` | `getStyleSheetList()`
`abstract java.util.List<org.apache.tapestry.IAsset>` | `getStyleSheets()`
`abstract java.lang.String` | `getSubTitle()`
`abstract java.lang.String` | `getTitle()`
`abstract void` | `setHelpLink(java.lang.String link)`
`abstract void` | `setNavigationMenu(NavigationMenu menu)`
`abstract void` | `setPageTitle(java.lang.String title)`
`abstract void` | `setStatusElement(boolean statusElement)`
`abstract void` | `setStyleSheets(java.util.List<org.apache.tapestry.IAsset> sheets)`
`abstract void` | `setSubTitle(java.lang.String title)`
`abstract void` | `setTitle(java.lang.String title)`

Methods inherited from class org.hyperic.ui.tapestry.components.BaseLayout
`getCenterBlock, getDijitSheets, getDijitStyleSheet, getDojoGridTundraThemeSheets, getDojoSheets, getDojoStyleSheet, getDojoTundraThemeSheets, getGridStyleSheet, getGridTundraStyleSheet, getLeftBlock, getRightBlock, getTundraStyleSheet`

Methods inherited from class org.hyperic.ui.tapestry.components.BaseComponent
`getIsLoggedIn, getPageName, getRequest, getResponse, getServletContext, getUserName`

Methods inherited from class org.apache.tapestry.BaseComponent
`addOuter, finishLoad, getContainedRenderers, getInnerRenderers, renderComponent`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, cleanupAfterRender, enterActiveState, equals, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.IComponent
`addAsset, addBody, addComponent, enterActiveState, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getSpecification, getSpecifiedId, getTemplateTagName, isRendering, peekClientId, renderBody, setBinding, setClientId, setContainedComponent, setContainer, setId, setNamespace, setPage, setTemplateTagName`

Methods inherited from interface org.apache.tapestry.IRender
`render`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Constructor Detail

### Layout1Col

    public Layout1Col()

Method Detail

### getStyleSheets

    @Parameter(name="styleSheets")
    public abstract java.util.List<org.apache.tapestry.IAsset> getStyleSheets()

### setStyleSheets

    public abstract void setStyleSheets(java.util.List<org.apache.tapestry.IAsset> sheets)

### getPageTitle

    @Parameter(name="pageTitle")
    public abstract java.lang.String getPageTitle()

### setPageTitle

    public abstract void setPageTitle(java.lang.String title)

### getTitle

    @Parameter(name="title")
    public abstract java.lang.String getTitle()

### setTitle

    public abstract void setTitle(java.lang.String title)

### getSubTitle

    @Parameter(name="subTitle")
    public abstract java.lang.String getSubTitle()

### setSubTitle

    public abstract void setSubTitle(java.lang.String title)

### getStatusElement

    @Parameter(name="statusElement",
               defaultValue="false")
    public abstract boolean getStatusElement()

### setStatusElement

    public abstract void setStatusElement(boolean statusElement)

### getHelpLink

    @Parameter(name="helpLink")
    public abstract java.lang.String getHelpLink()

### setHelpLink

    public abstract void setHelpLink(java.lang.String link)

### setNavigationMenu

    @Parameter(name="navigationMenu")
    public abstract void setNavigationMenu(NavigationMenu menu)

### getNavigationMenu

    public abstract NavigationMenu getNavigationMenu()

### getAjaxDelegate

    @InjectObject(value="service:hq.ajax.DojoOnePointOneShellDelegate")
    public abstract org.apache.tapestry.IRender getAjaxDelegate()

### getHQ40Theme

    @Asset(value="context:css/HQ_40.css")
    public abstract org.apache.tapestry.IAsset getHQ40Theme()

### getStaticTitle

    public java.lang.String getStaticTitle()

  Need to build a page title <title> tag in the form of {pagename} - {application name}

  Returns:
    the application name

### getStyleSheetList

    public java.util.List<org.apache.tapestry.IAsset> getStyleSheetList()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.